/* Delete Status */
.dnd-icon-remove.deleting { font-size:12px; color:#000; font-weight: 500; position: relative; top:-3px; }
.dnd-icon-remove.deleting:after { display:none!important; }

.wpcf7-drag-n-drop-file.d-none {
	display:none;
	opacity:0;
	visibility:hidden;
	position:absolute;
	top:0;
}

/* Progress bar - Image Details ( Name and Size ) */
.dnd-upload-status .dnd-upload-details {
    position: relative;
    border-radius: 10px;
    width: 55px;
    height: 55px;
    overflow: hidden;
}

/* Remove Upload File */
.dnd-upload-details .preview-image{
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
}

.dnd-upload-details .remove-file {
	position: absolute;
    top: 6px;
    right: 6px;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
    cursor: pointer;
    color: #fff;
    z-index: 2;
}

.dnd-upload-details .transparent-inner {
	position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.3215686275);
    z-index: 1;
    opacity: 0;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
}

.dnd-upload-details:hover .remove-file { 
	opacity: 1;
    visibility: visible;
}

.dnd-upload-details:hover .transparent-inner { 
	opacity: 1;
}

.dnd-upload-status.in-progress .remove-file { opacity:0.2;}

.dnd-upload-status .dnd-upload-details img.has-error {
    position: absolute;
    top: 12px;
    z-index: 3;
}

/* Progress Loading */
.dnd-upload-status .dnd-upload-details .dnd-progress-bar {
	display: block;
    width: 90%;
	position: absolute;
    top: calc(50% - 7px);
	left: 5%;
    border-radius: 5px;
    overflow: hidden;
    background: #565555;
    height: 14px;
}
.dnd-upload-status .dnd-upload-details .dnd-progress-bar span {
    background: #4CAF50;
    display: block;
    font-size: 11px;
    text-align: right;
    color: #fff;
    height: 100%;
	width:0;
	line-height:14px;
}
.dnd-upload-status .dnd-upload-details .dnd-progress-bar span.complete { width:100%!important; padding-right:5px; }
.dnd-upload-counter { position:absolute; right:5px; bottom:3px; font-size:12px; }

/* CodeDropz Upload Plugin */
.codedropz-upload-wrapper{
    width: 100%;
}

.codedropz-upload-container {
    position: relative;
    font-family: Poppins;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: #bdbdbd;
    padding: 15px 20px 15px 25px;
    border-radius: 20px;
    border: 1px dashed #e0e0e0;
    background: #fff;
    height: 152px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    cursor: pointer;
}

.codedropz-upload-inner__upload-btn {
	display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.codedropz-upload-inner__upload-btn img {
	width: 25px;
	height: 25px;
	margin-right: 10px;
    cursor: pointer;
}

.cd-upload-btn{
    color: #ffc000;
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    cursor: pointer;
}

.codedropz-upload-table{
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (55px)[3];
    grid-template-columns: repeat(3, 55px);
    grid-gap: 10px;
    overflow-y: scroll;
    margin-top: 10px;
}

.codedropz-upload-table::-webkit-scrollbar{
    width: 5px;
    border-radius: 10px;
    background: var(--border, #e0e0e0);
}

.codedropz-upload-table::-webkit-scrollbar-thumb{
    width: 9px;
    border-radius: 10px;
    background: #ffc000;
}
/* Add border on dragenter, drag etc */
.codedropz-dragover {
	border-color:rgb(255, 192, 0);;
}

.codedropz-upload-wrapper span.has-error-msg {
	display:inline-block;
    max-width: fit-content;
	color:#ff0000;
	padding:5px 0;
	font-style:italic;
}